com.ibm.openpages.api.metadata

## Enum FieldDependencyType

- java.lang.Object
- - java.lang.Enum<FieldDependencyType>
  - - com.ibm.openpages.api.metadata.FieldDependencyType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FieldDependencyType>

      public enum FieldDependencyType
      extends java.lang.Enum<FieldDependencyType>

  Enum for various `IFieldDependency` types.

  See Also:
    `IFieldDependency`
  Category:
    MetaData

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EDITABILITY` Represents field dependency type for editable field
    `PICKLIST` Represents field dependency type for dependency picklist
    `REQUIREDNESS` Represents field dependency type for required field
    `VISIBILITY` Represents field dependency type for field visibility

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FieldDependencyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FieldDependencyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PICKLIST

          public static final FieldDependencyType PICKLIST

      Represents field dependency type for dependency picklist

    - #### VISIBILITY

          public static final FieldDependencyType VISIBILITY

      Represents field dependency type for field visibility

    - #### EDITABILITY

          public static final FieldDependencyType EDITABILITY

      Represents field dependency type for editable field

    - #### REQUIREDNESS

          public static final FieldDependencyType REQUIREDNESS

      Represents field dependency type for required field

  - ### Method Detail

    - #### values

          public static FieldDependencyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldDependencyType c : FieldDependencyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldDependencyType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.